Arbor 3: FSM & BT Graph Editor 3.5.3

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
FlexibleRectTransform Class Reference

Class to handle a flexible RectTransform type reference method there is more than one. More...

Inheritance diagram for FlexibleRectTransform:

## Public Member Functions
| FlexibleRectTransform ()
| FlexibleRectTransform default constructor More...
| FlexibleRectTransform (RectTransform value)
| FlexibleRectTransform constructor More...
| FlexibleRectTransform (RectTransformParameterReference parameter)
| FlexibleRectTransform constructor More...
| FlexibleRectTransform (InputSlotRectTransform slot)
| FlexibleRectTransform constructor More...
FlexibleComponent | ToFlexibleComponent ()
| Convert to FlexibleComponent and return it. More...
Public Member Functions inherited from FlexibleField< RectTransform >
override object | GetValueObject ()
| Return the value as object. More...
| FlexibleField ()
| FlexibleField default constructor More...
| FlexibleField (T value)
| FlexibleField constructor More...
| FlexibleField (AnyParameterReference parameter)
| FlexibleField constructor More...
| FlexibleField (InputSlotAny slot)
| FlexibleField constructor More...

## Static Public Member Functions
static | operator RectTransform (FlexibleRectTransform flexible)
| Cast FlexibleRectTransform to RectTransform. More...
static | operator FlexibleRectTransform (RectTransform value)
| Cast RectTransform to FlexibleRectTransform. More...
Static Public Member Functions inherited from FlexibleField< RectTransform >
static | operator T (FlexibleField< T > flexible)
| Cast FlexibleField to T. More...
static | operator FlexibleField< T > (T value)
| Cast T to FlexibleField. More...

## Additional Inherited Members
Protected Attributes inherited from FlexibleField< RectTransform >
T | _Value
| Constant value More...
AnyParameterReference | _Parameter
| Parameter reference More...
InputSlotAny | _Slot
| Data input slot More...
Properties inherited from FlexibleField< RectTransform >
override System.Type | fieldType`[get]`
| It returns a field type. More...
Parameter | parameter`[get]`
| It return a Paramter. More...
T | value`[get]`
| It returns a value More...

## Detailed Description

Class to handle a flexible RectTransform type reference method there is more than one.

## Constructor & Destructor Documentation

FlexibleRectTransform | ( |  | ) |

FlexibleRectTransform default constructor

FlexibleRectTransform | ( | RectTransform | value | ) |

FlexibleRectTransform constructor

Parameters

  value | Value

FlexibleRectTransform | ( | RectTransformParameterReference | parameter | ) |

FlexibleRectTransform constructor

Parameters

  parameter | Parameter

FlexibleRectTransform | ( | InputSlotRectTransform | slot | ) |

FlexibleRectTransform constructor

Parameters

  slot | Slot

## Member Function Documentation

static operator FlexibleRectTransform | ( | RectTransform | value | ) |
| explicit static

Cast RectTransform to FlexibleRectTransform.

Parameters

  value | RectTransform

static operator RectTransform | ( | FlexibleRectTransform | flexible | ) |
| explicit static

Cast FlexibleRectTransform to RectTransform.

Parameters

  flexible | FlexibleRectTransform

FlexibleComponent ToFlexibleComponent | ( |  | ) |

Convert to FlexibleComponent and return it.

Returns
  FlexibleComponent